Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel.exps
Interface FilterValue

All Known Implementing Classes:
  FilterValueImpl

    public interface FilterValue

The simplified public view of any non-operator in a query filter, including constants, variables, and object fields.

Author:
  Abe White

Method Summary
`void` | `appendTo(SQLBuffer buf)` Append the first SQL element for this value to the given buffer.
`void` | `appendTo(SQLBuffer buf, int index)` Append the `index`th SQL element for this value to the given buffer.
`ClassMapping` | `getClassMapping()` If this is a path to a persistent object, return its class mapping, else return null.
`String` | `getColumnAlias(Column col)` Return the alias to use for the given column (this includes the table alias prefix, if any).
`String` | `getColumnAlias(String col, Table table)` Return the alias to use for the given column (this includes the table alias prefix, if any).
`FieldMapping` | `getFieldMapping()` If this is a path to a persistent field, return its mapping, else return null.
`Object` | `getSQLValue()` If this is a constant, returns its value as it would be represented in the database in this context, else return null.
`Class` | `getType()` Return the expected type of this value.
`Object` | `getValue()` If this is a constant, return its value, else return null.
`XMLMetaData` | `getXmlMapping()` If this is an XPath, return XML mapping metadata, else return null;
`PCPath` | `getXPath()` If this is an XPath, return it, else return null;
`boolean` | `isConstant()` Return true if this value represents a literal or parameter.
`boolean` | `isPath()` Return true if this value represents a persistent field traversal, such as 'this', 'address.street', or 'projectVariable.title'.
`int` | `length()` Return the number of SQL elements in this value.
`boolean` | `requiresCast()` return true if CAST is required for this filter value else return false.
`Object` | `toDataStoreValue(Object val)` Transform the given value into its datastore equivalent.

Method Detail

### getType

    Class getType()

  Return the expected type of this value.

### length

    int length()

  Return the number of SQL elements in this value. Usually 1.

### appendTo

    void appendTo(SQLBuffer buf)

  Append the first SQL element for this value to the given buffer.

### appendTo

    void appendTo(SQLBuffer buf,
                  int index)

  Append the `index`th SQL element for this value to the given buffer.

### getColumnAlias

    String getColumnAlias(Column col)

  Return the alias to use for the given column (this includes the table alias prefix, if any).

### getColumnAlias

    String getColumnAlias(String col,
                          Table table)

  Return the alias to use for the given column (this includes the table alias prefix, if any).

### toDataStoreValue

    Object toDataStoreValue(Object val)

  Transform the given value into its datastore equivalent.

### isConstant

    boolean isConstant()

  Return true if this value represents a literal or parameter.

### getValue

    Object getValue()

  If this is a constant, return its value, else return null.

### getSQLValue

    Object getSQLValue()

  If this is a constant, returns its value as it would be represented in the database in this context, else return null.

### isPath

    boolean isPath()

  Return true if this value represents a persistent field traversal, such as 'this', 'address.street', or 'projectVariable.title'.

### getClassMapping

    ClassMapping getClassMapping()

  If this is a path to a persistent object, return its class mapping, else return null.

### getFieldMapping

    FieldMapping getFieldMapping()

  If this is a path to a persistent field, return its mapping, else return null.

### getXPath

    PCPath getXPath()

  If this is an XPath, return it, else return null;

### getXmlMapping

    XMLMetaData getXmlMapping()

  If this is an XPath, return XML mapping metadata, else return null;

### requiresCast

    boolean requiresCast()

  return true if CAST is required for this filter value else return false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.